.vacancies .main-container {
    height: 600px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column-reverse;
}

.vacancies.b-hero {
    top: 0;
    margin-top: -5px;
}

.vacancies .b-hero__title {
    font-family: "Ubuntu", "Roboto", "Arial", "Tahoma", sans-serif;
}

.vacancies .b-hero__content {
    display: flex;
    flex-direction: column;
    max-width: 842px;
    padding: 20px 0;
}

.vacancies .def-top__img {
    /*position: absolute;*/
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 0;
}

.vacancies .def-top__img::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(-88deg, rgba(255, 255, 255, 0) 1.53%, rgba(38, 41, 46, 0.71) 47.97%, #26292E 100.32%);
}

.vacancies .def-top__img img {
    object-position: 80%;
}

.container2.vacancies {
    padding-top: 60px;
    padding-bottom: 100px;
}

.vacancies__title {
    font-size: 39px;
    line-height: 59px;
    font-weight: normal;
    text-align: center;
    margin-bottom: 36px;
}

.vacancies__title span {
    color: #BFBFBF;
}

.vacancies-list {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
}

.vacancy_item {
    width: calc(50% - 20px);
    background: #fff;
    border-radius: 20px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.vacancy_item h2 {
    width: 100%;
}

.vacancy_item h2 a {
    width: 100%;
    display: block;
    position: relative;
    padding-right: 40px;
}

.vacancy_item h2 a:after {
    content: '';
    display: block;
    position: absolute;
    right: 0;
    top: -2px;
    background: url(../img/icon/arrow-btn22.svg) center/contain no-repeat;
    width: 40px;
    height: 40px;
}

.vacancy_item h2 a:hover:after {
    background: url(../img/icon/arrow-btn22_hover.svg) center/contain no-repeat;
}

.vacancy_item h2 a:active:after {
    background: url(../img/icon/arrow-btn22_press.svg) center/contain no-repeat;
}

.vacancy_item h2 a,
.vacancy_head {
    font-size: 24px;
    line-height: 36px;
    color: #37353D;
    font-weight: bold;
}

.vacancy_body,
.vacancy-conditions {
    font-size: 18px;
    line-height: 20px;
    color: #A4A4A4;
    gap: 4px 0;
    margin-top: auto;
}

.vacancy_item-row,
.vacancy-conditions {
    display: flex;
    flex-wrap: wrap;
}

.vacancy_body > div:not(:last-child),
.vacancy-conditions > div:not(:last-child) {
    padding-right: 27px;
    position: relative;
}

.vacancy_body > div:not(:last-child):before,
.vacancy-conditions > div:not(:last-child):before {
    content: '';
    display: block;
    position: absolute;
    right: 12px;
    top: calc(50% - 1px);
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: #A4A4A4;
}

.main-container.vacancies {
    padding-top: 60px;
    padding-bottom: 100px;
}

.vacancies-detail-wrapper {
    display: flex;
    gap: 30px;
    max-width: 1080px;
    margin: 0 auto;
    padding-top: 67px;
    position: relative;
}

.btn.back_to_vacancies {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    background: #fff url(../img/icon/arrow-narrow-right.svg) 18px center no-repeat;
    padding: 10px 18px 10px 48px;
    border-radius: 100px;
    color: #26292E;
}

.vacancies-detail {
    max-width: 670px;
    background: #fff;
    padding: 24px;
    border-radius: 20px;
    font-size: 16px;
    line-height: 18px;
    color: #262626;
}

.vacancies-detail h1,
.vacancies-detail-sidebar-title {
    font-size: 30px;
    line-height: 1;
    margin-bottom: 10px;
    font-weight: 400;
}

.vacancies-detail h2 {
    font-size: 20px;
    line-height: normal;
    margin: 20px 0 12px;
    font-weight: 400;
}

.vacancies-detail .salary {
    font-size: 24px;
    line-height: 34px;
    font-weight: 400;
    margin-bottom: 20px;
}

.vacancies-detail-sidebar {
    max-width: 380px;
}

.vacancies-detail-sidebar .btn,
.vacancies-detail-mobile-cta .btn {
    padding: 25px 24px;
    color: #000;
    text-transform: uppercase;
    font-size: 16px;
    line-height: 1;
    border-radius: 100px;
    border: 1px solid #000;
    width: 100%;
}

.vacancies-detail-sidebar .btn:hover,
.vacancies-detail-mobile-cta .btn:hover {
    border: 1px solid #F2E0A1;
}

.vacancies-detail-mobile-cta .btn {
    /*margin: 30px 0 20px;*/
}

.apply_for_a_vacancy.btn {
    background: #FFC27F;
    border: 1px solid #FFC27F;
    margin:30px 0 20px;
}

.apply_for_a_vacancy.btn:hover {
    background: #DDBE7D;
    border: 1px solid #DDBE7D;
}

.vacancies-detail-mobile-cta {
    display: none;
    flex-wrap: wrap;
}

.vacancies-detail-desktop-cta {
    padding-bottom: 60px;
}

.vacancies-detail-address {
    margin: 25px 0;
    padding-left: 32px;
    font-size: 24px;
    line-height: 33px;
    background: url("../img/icon/map3.svg") 7px 7px/18px no-repeat;
}

.vacancies__empty {
    font-size: 18px;
    line-height: 21px;
    color: #999898;
    margin: 0 auto;
    padding: 60px 0;
    text-align: center;
}

@media (max-width: 1500px) {
    .show-modal.apply_for_a_vacancy.btn {
        display: flex;
    }
}

@media (max-width: 1024px) {
    .vacancy_item {
        width: 100%;
    }
}

@media (max-width: 1000px) {
    .vacancies .b-hero__feature::before {
        background-image: url(/img/ok.svg);
    }
}

@media (max-width: 991px) {
    .vacancies-detail-wrapper {
        flex-wrap: wrap;
    }

    .vacancies-detail {
        width: 100%;
        max-width: 100%;
    }

    .vacancies-detail-desktop-cta {
        display: none;
    }

    .vacancies-detail-mobile-cta {
        display: flex;
    }
}

@media (max-width: 768px) {
    .b-hero.vacancies {
        color: #37353D;
    }

    .vacancies .def-top__name {
        margin: 0;
    }

    .vacancies .b-hero__title {
        font-weight: 600;
        font-size: 30px;
        line-height: 36px;
    }

    .b-hero.vacancies .b-hero__features {
        color: #545454;
    }

    .vacancies .main-container {
        justify-content: flex-end;
        height: auto;
    }

    .vacancies .def-top__img {
        height: 218px;
        position: relative;
        left: -20px;
        width: 100vw;
    }

    .vacancies .b-hero__feature {
        font-size: 18px;
        line-height: 27px;
    }

    .vacancies .b-hero__feature::before {
        width: 16px;
        height: 16px;
        background-image: url(/img/ok_black.svg);

    }

    .vacancies-detail-sidebar .btn,
    .vacancies-detail-mobile-cta .btn,
    .show-modal.apply_for_a_vacancy.btn {
        padding: 21px 21px;
        border-radius: 100px;
        height: auto;
    }
}

@media (max-width: 575px) {
    .main-container.vacancies {
        padding: 0;
        background: #fff;
    }

    .vacancies-detail {
        border-radius: 0;
        padding: 20px 20px 50px;
        line-height: 24px;
    }

    .vacancies-detail-sidebar {
        max-width: 100%;
        background-color: var(--bg-grey);
        padding: 40px 20px 100px;
        width: 100%;
    }

    .vacancies-detail h1 {
        font-size: 24px;
        line-height: 36px;
        font-weight: 600;
        margin-bottom: 6px;
    }

    .vacancies-detail .salary {
        font-size: 18px;
        line-height: 27px;
        font-weight: 600;
        margin-bottom: 16px;
    }

    .vacancy-conditions {
        font-size: 14px;
        line-height: 20px;
    }

    .apply_for_a_vacancy.btn {
        margin: 20px 0 12px;
    }

    .vacancies-detail h2 {
        margin: 20px 0 6px;
    }

    .vacancies-detail-sidebar-title {
        font-size: 24px;
        line-height: 29px;
    }

    .vacancies-detail-address {
        font-size: 18px;
        line-height: 25px;
        margin: 10px 0 20px;
    }

    .vacancies-detail-wrapper {
        gap: 0;
        padding-top: 60px;
    }

    .btn.back_to_vacancies {
        padding-top: 0;
        padding-bottom: 0;
        top: 40px;
    }

    .vacancies__empty {
        padding: 10px 0 30px;
    }

}